"""Import this to disable the authlib deprecation warning."""

import warnings

from authlib.deprecate import AuthlibDeprecationWarning


# disable the AuthlibDeprecationWarning: we do not trigger it ourselves, only authlib itself triggers it.
def disable_authlib_warning():
    """Disable the authlib deprecation warning."""
    warnings.simplefilter("ignore", AuthlibDeprecationWarning)
